Update Multiple Offer Statuses
curl --request PUT \
--url https://api.lendflow.com/api/applications/{application_id}/offers/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": 2,
"offer_ids": [
"architecto"
],
"declined_reason": "n"
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/offers/status"
payload = {
"status": 2,
"offer_ids": ["architecto"],
"declined_reason": "n"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 2, offer_ids: ['architecto'], declined_reason: 'n'})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/offers/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Offers
Update Multiple Offer Statuses
Queues a status change for several of the application’s offers at once.
PUT
/
api
/
applications
/
{application_id}
/
offers
/
status
Update Multiple Offer Statuses
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Body
application/json
Offer Status. The value must be one of: Accepted: 1, Sent: 2, Declined: 3, Retracted: 4, Declined in Closing: 5, Retracted in Closing: 6.
Available options:
1, 2, 3, 4, 5, 6 Example:
2
Must match an existing stored value.
Example:
["architecto"]
Declined Reason. Only accepted when the status is a declined status. Must not be greater than 1000 characters.
Example:
"n"
Response
202 - text/plain
The response is of type string.
Example:
""
Was this page helpful?